Subject: [core] link-format clarification: multiple media types

From: Peter Bigot <[email-masked]>
Date: Sat, 17 Jul 2010 21:54:06 -0500

The presence of a comma in the ct= attribute value implies that value also
should be quoted to remove ambiguity between a comma separating media types
and one separating resource descriptions.

Alternatively, remove the option of listing multiple media types for a
resource description.  Since the Content-Type header option only applies to
the body of a message, and there is no Accepts header, there's currently no
way to request a resource be provided in a particular media type.  Prior
discussion on this list from roughly 28Jun2010 implied the requirement to
influence the representation format could be satisfied by distinct resource
URIs.  So supporting exactly one media type in the resource description is
sufficient.

Peter